jQuery.fn.extend({
    adonStatus: function(val) {
        var $tag = $(this);
        if (!val) return $tag.data('status')
        $tag.removeClass("adonStatus-" + $tag.data('status'));
        $tag.data('status', val);
        $tag.addClass("adonStatus-" + val);
        return val;
    },
    adonIsDisabled: function() {
        return this.each(function() {
            var $tag = $(this);
            $tag.adonHasStatus("disabled") || $tag.adonHasStatus("error");
        });
    },
    adonDisable: function() {
        return this.each(function() {
            var $tag = $(this);
            return $tag.adonStatus("disabled");
        });
    },
    adonRaise: function() {
        return this.each(function() {
            var $tag = $(this);
            return $tag.adonStatus("error");
        });
    },
    adonEnable: function() {
        return this.each(function() {
            var $tag = $(this);
            return $tag.adonStatus("enabled");
        });
    },
    adonHasStatus: function(val) {
        var $tag = $(this);
        return $tag.hasClass("adonStatus-" + val);
    },
    _adofStatus: function() {
        return this.each(function() {
            var $tag = $(this);
            $tag.removeClass("adonStatus-" + $tag.data('status'));
        });
    }
});
