jQuery.fn.extend({
    adonToolBar: function(fa_icon, starts_active) {
        return this.each(function() {

            var $tag = $(this);
            tag_name = $tag.prop("tagName");

            $tag.addClass("adonToolSlave");

            var $bar = $("<" + tag_name + "></" + tag_name + ">"); // Create with jQuery
            $bar.addClass("adonToolBar");
            $tag.before($bar);

            var $icon = $("<i class='fas'></i>");
            $icon.addClass(fa_icon);
            $bar.append($icon);

            $bar.toggleClass("adonactive");
            $bar.click(function() {
                $bar.toggleClass("adonactive");
                $tag.toggleClass("adonactive");
            });

            console.log(tag_name + " addClass adonToolBar > " + fa_icon);

            return $bar;

        });
    },
    _adofToolBar: function() {
        return this.each(function() {

            var $tag = $(this);

            $tag.removeClass("adonToolSlave");
            $bar = $tag.before();
            $bar.remove();

            console.log(tag_name + " removeClass adonToolSlave");

            return $tag;

        });
    }
});
