QUnit.test("adonStatus", function(assert) {
    $("blockquote").adonStatus("testing");
    assert.dom("blockquote").hasClass("adonStatus-testing");
    assert.equal($("blockquote").adonStatus(), "testing", "Status is correct.");
    $("blockquote")._adofStatus();
    assert.dom("blockquote").hasNoClass();
});

QUnit.test("adonStatus usage", function(assert) {
    $("blockquote").adonStatus("retesting");
    assert.dom("blockquote").hasClass("adonStatus-retesting");
    assert.equal($("blockquote").adonStatus(), "retesting", "Status is correct.");
    $("blockquote")._adofStatus();
});

QUnit.test("adonStatus adonDisable", function(assert) {
    $("blockquote").adonDisable();
    assert.dom("blockquote").hasClass("adonStatus-disabled");
    assert.equal($("blockquote").adonStatus(), "disabled", "Status is correct.");
    $("blockquote")._adofStatus();
});

QUnit.test("adonStatus adonRaise", function(assert) {
    $("blockquote").adonRaise();
    assert.dom("blockquote").hasClass("adonStatus-error");
    assert.equal($("blockquote").adonStatus(), "error", "Status is correct.");
    $("blockquote")._adofStatus();
});

QUnit.test("adonStatus adonEnable", function(assert) {
    $("blockquote").adonEnable();
    assert.dom("blockquote").hasClass("adonStatus-enabled");
    assert.equal($("blockquote").adonStatus(), "enabled", "Status is correct.");
    $("blockquote")._adofStatus();
});

QUnit.test("adonStatus adonHasStatus", function(assert) {
    $("blockquote").adonDisable();
    assert.dom("blockquote").hasClass("adonStatus-disabled");
    assert.equal($("blockquote").adonHasStatus("enabled"), false, "Status is disabled.");
    assert.equal($("blockquote").adonHasStatus("disabled"), true, "Status is disabled.");
    $("blockquote")._adofStatus();
});
